Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226118 - Merge Review: mailx
Summary: Merge Review: mailx
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:36 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-23 12:07:47 UTC
mmaslano: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:36:35 UTC
Fedora Merge Review: mailx

http://cvs.fedora.redhat.com/viewcvs/devel/mailx/
Initial Owner: varekova@redhat.com

Comment 1 Marcela Mašláňová 2007-02-22 12:11:16 UTC
Source:
W: mailx summary-ended-with-dot The /bin/mail program for sending e-mail messages.
W: mailx no-url-tag
E: mailx hardcoded-library-path in %{_prefix}/lib
Check if hardcoded-library-path is really necessary for backward compatibility.
URL: Missing
Source: false, not sure what's upstream. Should it be?
ftp://ftp.debian.org/debian/pool/main/m/mailx/
Buildroot: replace with new
Release: too long format
Uselles to define macro datadir.
Defatter should have 4 parametres.

Arch:
W: mailx summary-ended-with-dot The /bin/mail program for sending e-mail messages.
W: mailx no-url-tag
E: mailx only-non-binary-in-usr-lib -> should be in /usr/share

Debug:
W: mailx-debuginfo no-url-tag


Comment 2 Ivana Varekova 2007-02-23 14:46:49 UTC
Fixed in mailx-8.1.1-45.fc7.

Comment 3 Marcela Mašláňová 2007-02-26 12:24:56 UTC
APPROVED

Comment 4 Robert Scheck 2007-03-04 00:50:58 UTC
Not really...there was one regression introduced during the review: directory
/usr/share/mailx is no longer owned by mailx which should be the case. Ivana, 
please fix this for the next rebuild.

Comment 5 Ivana Varekova 2007-03-05 08:48:21 UTC
Thanks for your notice, you are right - the directory is added in
mailx-8.1.1-46.fc7.



Comment 6 Marcela Mašláňová 2007-04-06 06:55:13 UTC
APPROVED

Comment 7 Patrice Dumas 2007-07-07 14:09:39 UTC
There is still an error:

warning: File listed twice: /usr/share/mailx/mail.help
warning: File listed twice: /usr/share/mailx/mail.tildehelp

More fundamentaly, the upstream selection seems a bit strange
to me. It seems to me that the cleanest thing to do would be to 
package directly
http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/mail/
(using a cvs checkout, as explained here:
http://fedoraproject.org/wiki/Packaging/SourceURL
)


If you don't want the latest changes you can use an earlier
checkout, but I guess that all the patches in openbsd mail
cvs fix something. Seems like debian package the cvs, it seems
to me that it would be cleaner to do that than to use the 
(old) repackaged debian source.


Note You need to log in before you can comment on or make changes to this bug.